- Qt 5.15
- Qt Sensors
- QML Types
- QmlSensors QML Type
- Qt 5.15.19 Reference Documentation

# QmlSensors QML Type

The QmlSensors singleton provides the module API. More...

Import Statement: | import QtSensors 5.15
Since: | QtSensors 5.0

- List of all members, including inherited members

## Methods

- string defaultSensorForType(type)
- list<string> sensorTypes()
- list<string> sensorsForType(type)

## Detailed Description

The QmlSensors singleton provides the module API.

This element cannot be directly created. It can only be accessed via a namespace import.

     import QtSensors 5.11
     import QtSensors 5.11 as Sensors
     ...
         Component.onCompleted: {
             var types = Sensors.QmlSensors.sensorTypes();
             console.log(types.join(", "));
         }

## Method Documentation

string defaultSensorForType(type)

Returns the default sensor identifier that has been registered for type.

Please see QSensor::defaultSensorForType() for information.

list<string> sensorTypes()

Returns a list of the sensor types that have been registered.

Please see QSensor::sensorTypes() for information.

list<string> sensorsForType(type)

Returns a list of the sensor identifiers that have been registered for type.

Please see QSensor::sensorsForType() for information.